org.apache.velocity.tools.view

## Class JeeContextConfig

- java.lang.Object
- - org.apache.velocity.tools.view.JeeContextConfig

All Implemented Interfaces:
  JeeConfig

    public class JeeContextConfig
    extends Object
    implements JeeConfig

Implements `JeeConfig` with only a `ServletContext`.

Since:
  2.0
Version:
  $Id$

### Field Summary

Fields
`protected javax.servlet.ServletContext` `context`

### Constructor Summary

Constructors
Constructor and Description
`JeeContextConfig(javax.servlet.ServletContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `findInitParameter(String key)` Only checks the `ServletContext`'s init-params for the specified parameter.
`String` `getInitParameter(String name)` Returns an initialization parameter.
`Enumeration` `getInitParameterNames()` Returns all the parameter names.
`String` `getName()` Returns the name of the servlet (or filter) being used.
`javax.servlet.ServletContext` `getServletContext()` Returns the servlet context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    protected javax.servlet.ServletContext context

### Constructor Detail

#### JeeContextConfig

    public JeeContextConfig(javax.servlet.ServletContext context)

### Method Detail

#### getInitParameter

    public String getInitParameter(String name)

Returns an initialization parameter.

Specified by:
  `getInitParameter` in interface `JeeConfig`
Parameters:
  `name` - The name of the initialization parameter.
Returns:
  The value of the parameter.

#### findInitParameter

    public String findInitParameter(String key)

Only checks the `ServletContext`'s init-params for the specified parameter.

Specified by:
  `findInitParameter` in interface `JeeConfig`
Parameters:
  `key` - The name of the initialization parameter.
Returns:
  The value of the initialization parameter.

#### getInitParameterNames

    public Enumeration getInitParameterNames()

Returns all the parameter names.

Specified by:
  `getInitParameterNames` in interface `JeeConfig`
Returns:
  The enumeration containing the parameter names.

#### getName

    public String getName()

Returns the name of the servlet (or filter) being used.

Specified by:
  `getName` in interface `JeeConfig`
Returns:
  The name of the configuration.

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

Returns the servlet context.

Specified by:
  `getServletContext` in interface `JeeConfig`
Returns:
  The servlet context.